
User Interface - Bug #2741

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

SELECTION-LIST sizing issues

10/01/2015 07:28 AM - Greg Shah

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Cleanup and Stabilization for GUI   

billable: No case_num:  

vendor_id: GCD   

Description

Related issues:

Related to User Interface - Feature #2567: add misc widget support part 2: mo... Closed 04/30/2015

History

#1 - 10/01/2015 07:29 AM - Greg Shah

See #2567-322 for the details.

#2 - 10/01/2015 06:21 PM - Igor Skornyakov

After 2574b rebase:

1. COMBO-BOX redraw on the FORMAT change is incorrect in the GUI mode.

2. EDITOR ignores BGCOLOR attribute in the GUI mode

3. FILL-IN redraw on the FORMAT change is incorrect in the GUI mode.

4. SELECTION-LIST redraw on the FONT change is still incorrect (see #2741). Moreover intitial draw is now incorrect as well.

5. TEXT redraw on the FORMAT change is incorrect in the GUI mode.

6. TOGGLE-BOX doesn't resize on the FONT change.

#3 - 10/12/2015 04:49 PM - Greg Shah

- Assignee changed from Igor Skornyakov to Eugenie Lyzenko

#4 - 10/14/2015 03:29 PM - Eugenie Lyzenko

- File auto_resize_selection_list_p2j_20151014.jpg added

The fix committed in 1811s. The screen is attached.

#5 - 10/14/2015 03:32 PM - Greg Shah

I assume revision 10966 in 1811s fixes item 4 above.  Does it fix any of the other items?

If not, please do fix those as well.

#6 - 10/14/2015 03:47 PM - Eugenie Lyzenko

Greg Shah wrote:
I assume revision 10966 in 1811s fixes item 4 above.

 

Yes.

Does it fix any of the other items?

 

No, I did not consider the other items for now.

If not, please do fix those as well.

 

OK.

#7 - 10/14/2015 04:44 PM - Greg Shah

Is it quick to fix items 1, 3, 5 and 6?  If not, those can be deferred and Igor will work them after #2038.

Item 2 should be worked now for sure.

#8 - 10/14/2015 05:07 PM - Eugenie Lyzenko

Is it quick to fix items 1, 3, 5 and 6?

 

It is difficult to exactly estimate. I think it can take a day to complete(24 hours).

So what is the priority plan?

#9 - 10/14/2015 05:13 PM - Greg Shah

Only work on item 2.  Then move to other assigned tasks.
#10 - 10/14/2015 06:08 PM - Eugenie Lyzenko

- File editor_background_p2j_20151014.jpg added

Do you mean: 2. EDITOR ignores BGCOLOR attribute in the GUI mode? Take a look at the picture. Is it now OK?

#11 - 10/15/2015 08:19 AM - Greg Shah

Do you mean: 2. EDITOR ignores BGCOLOR attribute in the GUI mode?

 

Yes.

Take a look at the picture. Is it now OK?

 

There is no editor in that picture, so I can't tell.  I think you need a different testcase to see.

#12 - 10/15/2015 08:29 AM - Eugenie Lyzenko

Greg Shah wrote:

Take a look at the picture. Is it now OK?

 

There is no editor in that picture, so I can't tell.  I think you need a different testcase to see.

 

OK. The testcase was used to present the picture: auto_resize/are.p:

...

DEFINE VARIABLE f1 AS CHAR FORMAT "X(10)"  NO-UNDO INITIAL "ABCDEFG" 

VIEW-AS EDITOR

  INNER-CHARS 10 INNER-LINES 3

  TOOLTIP "EDITOR".

DEF FRAME fr1 

    f1  BGCOLOR 1 FGCOLOR 15

  WITH TITLE "fr1" AT COLUMN 1 ROW 1 SIZE 40 BY 10.

...
#13 - 10/15/2015 08:33 AM - Greg Shah

And is BGCOLOR 1 the same blue color shown there?  I guess you can test that by using color 1 on a rectangle.

#14 - 10/15/2015 08:54 AM - Eugenie Lyzenko

- File editor_background_p2j_20151015.jpg added

The modified code:

...

DEFINE VARIABLE f1 AS CHAR FORMAT "X(10)"  NO-UNDO INITIAL "ABCDEFG" 

VIEW-AS EDITOR

  INNER-CHARS 10 INNER-LINES 3

  TOOLTIP "EDITOR".

define rectangle r size 4 by 2.

DEF FRAME fr1 

    f1  BGCOLOR 1 FGCOLOR 15 skip r FGCOLOR 1 BGCOLOR 1 

  WITH TITLE "fr1" AT COLUMN 1 ROW 1 SIZE 40 BY 10.

...

 

On the screen the colors are the same dark blue (0,0,128).

#15 - 10/15/2015 08:59 AM - Greg Shah

OK, then item 2 is considered fixed.

Igor will handle the rest of the items later.

#16 - 10/15/2015 09:00 AM - Greg Shah

- Assignee changed from Eugenie Lyzenko to Igor Skornyakov

#17 - 03/23/2016 05:10 PM - Greg Shah

- Target version changed from Milestone 12 to Milestone 16

#18 - 03/23/2016 05:10 PM - Greg Shah

- Assignee deleted (Igor Skornyakov)

05/03/2024 4/5



#19 - 06/01/2016 08:49 AM - Greg Shah

Item 4 in note 2 needs to be resolved in this task.

In addition, there is a report of the selection-list border drawing being incorrect in #3075-6.  Resolve that problem too.

#20 - 11/16/2016 12:23 PM - Greg Shah

- Target version changed from Milestone 16 to Cleanup and Stabilization for GUI
